package userProfile

import (
	"github.com/zeromicro/go-zero/rest/httpx"
	"net/http"
	"sundynix-micro-go/app/plant/api/internal/logic/userProfile"
	"sundynix-micro-go/app/plant/api/internal/svc"
	"sundynix-micro-go/app/plant/api/internal/types"
	"sundynix-micro-go/common/response"
)

func GetMyStarsHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.PageReq
		if err := httpx.Parse(r, &req); err != nil {
			response.Fail(w, err.Error())
			return
		}
		l := userProfile.NewGetMyStarsLogic(r.Context(), svcCtx)
		resp, err := l.GetMyStars(&req)
		if err != nil {
			response.Fail(w, err.Error())
		} else {
			response.OkWithData(w, resp)
		}
	}
}
